package com.luojia_channel.common.exception;

import lombok.Getter;

@Getter
public class BaseException extends RuntimeException {
    private final int errorCode;
    private final String errorMessage;

    public BaseException(int errorCode, String errorMessage) {
        super(errorMessage);
        this.errorCode = errorCode;
        this.errorMessage = errorMessage;
    }
}